﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Web.Mvc;
using System.Security;

namespace MVCWebApps
{
    public class RoleFilterAttribute : ActionFilterAttribute
    {
        private string _roleName;

        public RoleFilterAttribute(string roleName) 
        {
            _roleName  =  roleName;
        }

        public override void OnActionExecuting(FilterExecutingContext filterContext)
        {
            HttpContextBase context = filterContext.HttpContext;

            if (!context.User.IsInRole(_roleName))
                throw new SecurityException("Invalid credentials"); 

        }
    }
}
