﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Web.Mvc;
using System.IO.Compression;

namespace MVCWebApps
{
    public class CompressFilter : ActionFilterAttribute
    {
        public override void OnActionExecuting(FilterExecutingContext filterContext)
        {
            HttpResponseBase response = filterContext.HttpContext.Response;

            response.AppendHeader("Content-encoding", "gzip");

            response.Filter = new GZipStream(response.Filter, CompressionMode.Compress);



        }

    }
}
